Bug 211590 - [MAINTAINER] www/piwik: Update to 2.16.2 (security update)
Summary: [MAINTAINER] www/piwik: Update to 2.16.2 (security update)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2016-08-05 09:37 UTC by Hans Fredrik Nordhaug
Modified: 2016-08-11 08:45 UTC (History)
3 users (show)

See Also:
tz: merge-quarterly+


Attachments
Patch for updating to Piwik 2.16.2. (49.53 KB, patch)
2016-08-05 09:37 UTC, Hans Fredrik Nordhaug
no flags Details | Diff
Patch for updating to Piwik 2.16.2 - ver 2. (49.71 KB, patch)
2016-08-09 07:37 UTC, Hans Fredrik Nordhaug
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Fredrik Nordhaug 2016-08-05 09:37:20 UTC
Created attachment 173307 [details]
Patch for updating to Piwik 2.16.2.

Patch generated with FreeBSD Port Tools and submitted manually.

"port test" has been run.

This release contains fixes for several XSS security issues - ref https://piwik.org/changelog/piwik-2-16-2/
Comment 1 Pawel Pekala freebsd_committer 2016-08-05 23:30:49 UTC
There is problem with plist:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%WWWDIR%%/core/DataAccess/LogQueryBuilder/JoinGenerator.php
Error: Orphaned: %%WWWDIR%%/core/DataAccess/LogQueryBuilder/JoinTables.php
Error: Orphaned: %%WWWDIR%%/core/Exception/NotYetInstalledException.php
Error: Orphaned: %%WWWDIR%%/core/Plugin/LogTablesProvider.php
Error: Orphaned: %%WWWDIR%%/core/ProfessionalServices/Advertising.php
Error: Orphaned: %%WWWDIR%%/core/Tracker/LogTable.php
Error: Orphaned: %%WWWDIR%%/core/Updates/2.16.2-b2.php
Error: Orphaned: %%WWWDIR%%/core/Updates/2.16.2-rc2.php
Error: Orphaned: %%WWWDIR%%/libs/bower_components/jqueryui-touch-punch/README.md
Error: Orphaned: %%WWWDIR%%/libs/bower_components/jqueryui-touch-punch/bower.json
Error: Orphaned: %%WWWDIR%%/libs/bower_components/jqueryui-touch-punch/jquery.ui.touch-punch.js
Error: Orphaned: %%WWWDIR%%/libs/bower_components/jqueryui-touch-punch/jquery.ui.touch-punch.min.js
Error: Orphaned: %%WWWDIR%%/plugins/Annotations/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/Contents/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/Tracker/LogTable/Action.php
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/Tracker/LogTable/Conversion.php
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/Tracker/LogTable/ConversionItem.php
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/Tracker/LogTable/LinkVisitAction.php
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/Tracker/LogTable/Visit.php
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/images/applogo_128.png
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/images/applogo_144.png
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/images/applogo_192.png
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/images/applogo_256.png
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/images/applogo_32.png
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/images/applogo_72.png
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/images/applogo_732.png
Error: Orphaned: %%WWWDIR%%/plugins/CoreHome/javascripts/manifest.json
Error: Orphaned: %%WWWDIR%%/plugins/CustomVariables/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/DevicesDetection/images/browsers/TS.gif
Error: Orphaned: %%WWWDIR%%/plugins/Diagnostics/lang/nl.json
Error: Orphaned: %%WWWDIR%%/plugins/Diagnostics/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/Ecommerce/lang/tr.json
Error: Orphaned: %%WWWDIR%%/plugins/Ecommerce/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/Events/lang/ar.json
Error: Orphaned: %%WWWDIR%%/plugins/Events/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/ImageGraph/lang/tr.json
Error: Orphaned: %%WWWDIR%%/plugins/ImageGraph/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/Insights/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/MobileAppMeasurable/lang/ru.json
Error: Orphaned: %%WWWDIR%%/plugins/MobileAppMeasurable/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/MultiSites/lang/tr.json
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/ProfessionalServices.php
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/Promo.php
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/Widgets.php
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/config/test.php
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/images/promo.png
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/lang/en.json
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/plugin.json
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/stylesheets/widget.less
Error: Orphaned: %%WWWDIR%%/plugins/ProfessionalServices/templates/promoServicesWidget.twig
Error: Orphaned: %%WWWDIR%%/plugins/Referrers/images/searchEngines/search.disconnect.me.png
Error: Orphaned: %%WWWDIR%%/plugins/Referrers/images/searchEngines/search.lookseek.com.png
Error: Orphaned: %%WWWDIR%%/plugins/Referrers/images/searchEngines/search.smartshopping.com.png
Error: Orphaned: %%WWWDIR%%/plugins/Referrers/images/searchEngines/searchlock.com.png
Error: Orphaned: %%WWWDIR%%/plugins/Referrers/images/searchEngines/startpage.com.png
Error: Orphaned: %%WWWDIR%%/plugins/Referrers/images/searchEngines/%%WWWOWN%%.only-search.com.png
Error: Orphaned: %%WWWDIR%%/plugins/SegmentEditor/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/Transitions/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/API.php
Error: Orphaned: %%WWWDIR%%/plugins/UserId/Archiver.php
Error: Orphaned: %%WWWDIR%%/plugins/UserId/Columns/UserId.php
Error: Orphaned: %%WWWDIR%%/plugins/UserId/Reports/Base.php
Error: Orphaned: %%WWWDIR%%/plugins/UserId/Reports/GetUsers.php
Error: Orphaned: %%WWWDIR%%/plugins/UserId/UserId.php
Error: Orphaned: %%WWWDIR%%/plugins/UserId/images/visitordetails-hover.png
Error: Orphaned: %%WWWDIR%%/plugins/UserId/images/visitordetails.png
Error: Orphaned: %%WWWDIR%%/plugins/UserId/javascripts/rowaction.js
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/am.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ar.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/be.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/bg.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ca.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/cs.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/da.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/de.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/el.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/en.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/es.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/et.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/eu.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/fa.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/fi.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/fr.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/gl.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/he.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/hi.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/hr.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/hu.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/id.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/is.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/it.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ja.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ka.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ko.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/lt.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/lv.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/nb.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/nl.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/nn.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/pl.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/pt-br.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/pt.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ro.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ru.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/sk.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/sl.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/sq.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/sr.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/sv.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/ta.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/te.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/th.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/tl.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/tr.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/uk.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/vi.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/zh-cn.json
Error: Orphaned: %%WWWDIR%%/plugins/UserId/lang/zh-tw.json
Error: Orphaned: %%WWWDIR%%/plugins/WebsiteMeasurable/lang/ru.json
Error: Orphaned: %%WWWDIR%%/plugins/WebsiteMeasurable/lang/uk.json
Error: Orphaned: %%WWWDIR%%/vendor/composer/autoload_static.php
Error: Orphaned: %%WWWDIR%%/vendor/monolog/monolog/src/Monolog/Formatter/FluentdFormatter.php
Error: Orphaned: %%WWWDIR%%/vendor/monolog/monolog/src/Monolog/Handler/DeduplicationHandler.php
Error: Orphaned: %%WWWDIR%%/vendor/monolog/monolog/src/Monolog/Handler/HandlerWrapper.php
Error: Orphaned: %%WWWDIR%%/vendor/php-di/invoker/src/ParameterResolver/TypeHintResolver.php
Error: Orphaned: %%WWWDIR%%/vendor/piwik/cache/composer.lock
Error: Orphaned: %%WWWDIR%%/vendor/piwik/decompress/composer.lock
Error: Orphaned: %%WWWDIR%%/vendor/piwik/device-detector/Yaml/Parser.php
Error: Orphaned: %%WWWDIR%%/vendor/piwik/device-detector/Yaml/Spyc.php
Error: Orphaned: %%WWWDIR%%/vendor/piwik/device-detector/Yaml/Symfony.php
Error: Orphaned: %%WWWDIR%%/vendor/twig/twig/lib/Twig/Extension/GlobalsInterface.php
Error: Orphaned: %%WWWDIR%%/vendor/twig/twig/lib/Twig/Extension/InitRuntimeInterface.php
Error: Orphaned: %%WWWDIR%%/vendor/twig/twig/lib/Twig/Node/Expression/NullCoalesce.php
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%WWWDIR%%/core/PiwikPro/Advertising.php
Error: Missing: %%WWWDIR%%/core/Updates/2.16.0-rc2.php
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/GPL-LICENSE.txt
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/ajax.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/ajax_content.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/anchors.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/api.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/arrow_hover.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/arrow_positions.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/arrows.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/auto_reinitialise.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/basic.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/caps.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/changelog.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/destroy.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/drag_size.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/dynamic_content.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/dynamic_height.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/dynamic_width.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/events.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/faqs.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/fixed_width.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/focus.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/fullpage_scroll.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/iframe.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/iframe2.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/iframe_content1.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/iframe_content2.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/iframe_content3.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/iframe_content4.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/image.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/image2.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/index.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/invisibles.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/after.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/before.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/brs_main.css
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/index.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/jquery.mousewheel.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/jscrollpane-2b3.css
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/jscrollpane-2b3.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/11/native.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/after.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/after_reinit.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/before.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/before_reinit.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/brs_main.css
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/index.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/jquery.mousewheel.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/jscrollpane-2b3.css
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/jscrollpane-2b3.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/native.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/12/wrapped.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/7/after.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/7/before.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/7/index.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/7/jscrollpane-2b1.css
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/7/jscrollpane-2b2.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/issues/7/native.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/known_issues.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/less_basic.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/mwheel_intent.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/override_animate.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/runeimp.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/runeimp2.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/scroll_on_left.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/scroll_to.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/scroll_to_animate.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/settings.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/short.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/themes/lozenge/image/ui-icons_222222_256x240.png
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/themes/lozenge/image/ui-icons_888888_256x240.png
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/themes/lozenge/image/ui-icons_cd0a0a_256x240.png
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/themes/lozenge/index.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/themes/lozenge/style/jquery.jscrollpane.lozenge.css
Error: Missing: %%WWWDIR%%/libs/bower_components/jScrollPane/v1.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery-placeholder/demo.html
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery/MIT-LICENSE.txt
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery/src/css/swap.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery/src/data/accepts.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery/src/sizzle/dist/sizzle.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery/src/sizzle/dist/sizzle.min.js
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery/src/sizzle/dist/sizzle.min.map
Error: Missing: %%WWWDIR%%/libs/bower_components/jquery/src/var/strundefined.js
Error: Missing: %%WWWDIR%%/misc/others/iframeWidget.htm
Error: Missing: %%WWWDIR%%/plugins/DevicesDetection/plugin.json
Error: Missing: %%WWWDIR%%/plugins/MultiSites/plugin.json
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/PiwikPro.php
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/Promo.php
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/Widgets.php
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/config/test.php
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/images/promo.png
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/lang/en.json
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/plugin.json
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/stylesheets/widget.less
Error: Missing: %%WWWDIR%%/plugins/PiwikPro/templates/promoPiwikProWidget.twig
===> Error: Plist issues found.
*** Error code 1
Comment 2 Hans Fredrik Nordhaug 2016-08-08 06:53:38 UTC
I think you must have made a mistake while checking the plist. (Maybe the patch didn't apply to pkg-plist for some reason?)

Random example: libs/bower_components/jScrollPane/GPL-LICENSE.txt isn't part of https://builds.piwik.org/piwik-2.16.2.tar.gz and my patch removes it from the pkg-plist.
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-08-09 07:17:20 UTC
I can confirm the correct plist!

But i get the following warning when trying to build the port:

===>  Cleaning for piwik-2.16.2
/!\ piwik-2.16.2: Makefile warnings, please consider fixing /!\

Using USE_PHP alone is deprecated, please use USES=php

May you consider fixing this one?
Comment 4 Hans Fredrik Nordhaug 2016-08-09 07:37:55 UTC
Created attachment 173439 [details]
Patch for updating to Piwik 2.16.2 - ver 2.

Adds php to USES as requested.
Comment 5 Hans Fredrik Nordhaug 2016-08-09 07:42:28 UTC
None of my tools (portlint version 2.17.3 and "port test") gave the "Using USE_PHP alone is deprecated, please use USES=php" warning. Neither did I see it when building. Do you know why?
Comment 6 Torsten Zuehlsdorff freebsd_committer 2016-08-09 08:07:18 UTC
Did you have the following entry in your /etc/make.conf?

$ cat /etc/make.conf 
DEVELOPER=yes

This adds additional checks when building a port.
Comment 7 Hans Fredrik Nordhaug 2016-08-09 08:19:23 UTC
Thx. That made the difference.
Comment 8 commit-hook freebsd_committer 2016-08-10 09:19:47 UTC
A commit references this bug:

Author: tz
Date: Wed Aug 10 09:18:57 UTC 2016
New revision: 419996
URL: https://svnweb.freebsd.org/changeset/ports/419996

Log:
  www/piwik: Update from 2.16.1 to 2.16.2

  Changes: https://piwik.org/changelog/piwik-2-16-2/

  The is also a security release and fixes several XSS issues.

  PR:           211590
  Submitted by: Hans Fredrik Nordhaug (maintainer)
  Approved by:  junovitch (mentor)
  MFH:          2016Q3

Changes:
  head/www/piwik/Makefile
  head/www/piwik/distinfo
  head/www/piwik/pkg-plist
Comment 9 commit-hook freebsd_committer 2016-08-10 09:21:50 UTC
A commit references this bug:

Author: tz
Date: Wed Aug 10 09:21:41 UTC 2016
New revision: 419997
URL: https://svnweb.freebsd.org/changeset/ports/419997

Log:
  www/piwik: Document XSS issues

  PR:          211590
  Security:    https://vuxml.freebsd.org/freebsd/28bf62ef-5e2c-11e6-a15f-00248c0c745d.html
  Approved by: pi (mentor)

Changes:
  head/security/vuxml/vuln.xml
Comment 10 commit-hook freebsd_committer 2016-08-11 08:44:37 UTC
A commit references this bug:

Author: tz
Date: Thu Aug 11 08:44:11 UTC 2016
New revision: 420053
URL: https://svnweb.freebsd.org/changeset/ports/420053

Log:
  MFH: r419996

  www/piwik: Update from 2.16.1 to 2.16.2

  Changes: https://piwik.org/changelog/piwik-2-16-2/

  The is also a security release and fixes several XSS issues.

  PR:           211590
  Submitted by: Hans Fredrik Nordhaug (maintainer)
  Approved by:  ports-secteam (junovitch), junovitch (mentor)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/www/piwik/Makefile
  branches/2016Q3/www/piwik/distinfo
  branches/2016Q3/www/piwik/pkg-plist
Comment 11 Torsten Zuehlsdorff freebsd_committer 2016-08-11 08:45:52 UTC
Committed into head and quarterly-branch, also added vuxml entry. 
Thanks! :)